Skip to main content
GET
/
collections
List collections
curl --request GET \
  --url https://api.portkey.ai/v1/collections \
  --header 'x-portkey-api-key: <api-key>'
import requests

url = "https://api.portkey.ai/v1/collections"

headers = {"x-portkey-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};

fetch('https://api.portkey.ai/v1/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 123,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "parent_collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_default": true,
      "created_at": "2023-11-07T05:31:56Z",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "collection_details": {
        "child_collections_count": 123,
        "prompts_count": 123,
        "child_collections_last_updated_at": "2023-11-07T05:31:56Z",
        "prompts_last_updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}

Authorizations

x-portkey-api-key
string
header
required

Query Parameters

workspace_id
string
required

ID or slug of the workspace

current_page
integer

Page number for pagination (0-indexed)

Required range: x >= 0
page_size
integer

Number of items per page

Required range: x >= 1

Search query to filter collections by name

Response

List of collections

total
integer

Total number of collections matching the criteria

data
object[]
Last modified on April 7, 2025